{% extends 'base/base.html' %} {% block page_content %}
<!-- Dropdown Card Example -->
<div class="card shadow mb-4">
  <!-- Card Header - Dropdown -->
  <div class="card-header py-3 d-flex flex-row align-items-center justify-content-between">
    <h6 class="m-0 font-weight-bold text-primary">
      Listado de Contribuyentes - Pinos, Zacatecas
    </h6>
    <div class="dropdown no-arrow">
      <a href="{% url 'catastro:contribuyentes_new' %}" class="btn btn-primary btn-icon-split btn-sm mr-2">
        <span class="icon text-white-50">
          <i class="fa fa-user-plus"></i>
        </span>
        <span class="text font-weight-bold">Nuevo registro</span>
      </a>

      <a class="dropdown-toggle" href="#" role="button" id="dropdownMenuLink" data-toggle="dropdown"
        aria-haspopup="true" aria-expanded="false">
        <i class="fas fa-ellipsis-v fa-sm fa-fw text-gray-400"></i>
      </a>
      <div class="dropdown-menu dropdown-menu-right shadow animated--fade-in" aria-labelledby="dropdownMenuLink">
        <div class="dropdown-header">Acciones:</div>
        <a class="dropdown-item" href="{% url 'catastro:contribuyentes_new' %}">
          <i class="fa fa-calendar-plus"></i>Nuevo</a>
        <a class="dropdown-item" href="#">
          <i class="fa fa-search-plus"></i>Buscar</a>
        <!-- <a class="dropdown-item" href="#">Another action</a> -->
        <div class="dropdown-divider"></div>
        <!-- <a class="dropdown-item" href="#">Something else here</a> -->
      </div>
    </div>
  </div>

  <div class="card-body">
    {% if not obj %}
    <div class="alert alert-info">No Hay Contribuyentes</div>
    {% else %}

    <table class="table table-bordered table-striped">
      <thead class="table-info" style="font-size: small;">
        <td>ID</td>
        {% comment %}
        <th>NÚMERO DE PREDIAL</th>
        {% endcomment %}
        <th>NOMBRE</th>
        <th>APELLIDO PATERNO</th>
        <th>APELLIDO MATERNO</th>
        <!-- <th>GÉNERO</th> -->
        <th>LOCALIDAD</th>
        <!-- <th>EXPEDIENTE</th> -->
        <!-- <th>NOTAS ADICIONALES</th> -->
        <th>ACCIONES</th>
      </thead>

      <tbody style="font-size: small;">
        {% for item in obj %}
        <tr>
          <td>{{ item.id }}</td>
          {% comment %} {% if item.numero_de_cuenta_predial %}
          <td>{{ item.numero_de_cuenta_predial }}</td>
          {% else %}
          <td></td>
          {% endif %} {% endcomment %} {% if item.nombre %}
          <td>{{ item.nombre }}</td>
          {% else %}
          <td></td>
          {% endif %} {% if item.ap_paterno %}
          <td>{{ item.ap_paterno }}</td>
          {% else %}
          <td></td>
          {% endif %} {% if item.ap_materno %}
          <td>{{ item.ap_materno }}</td>
          {% else %}
          <td></td>
          {% endif %}

          <!-- {% if item.genero %}
                            <td>{{ item.genero }}</td>                    
                        {% else %}
                            <td></td>
                        {% endif %} -->

          {% if item.localidad %}
          <td>{{ item.localidad }}</td>
          {% else %}
          <td></td>
          {% endif %}

          <!-- {% if item.expediente %}
                            <td>{{ item.expediente }}</td>                            
                        {% else %} 
                            <td></td>
                        {% endif %} -->

          <!-- {% if item.notas_adicionales %}
                            <td>{{ item.notas_adicionales }}</td>
                        {% else %} 
                            <td></td>
                        {% endif %} -->

          <td>
            <a href="{% url 'catastro:contribuyentes_edit' item.id %}" class="btn btn-warning btn-circle"><i
                class="far fa-edit"></i></a>
            <a href="{% url 'catastro:contribuyentes_delete' item.id %}" class="btn btn-danger btn-circle"><i
                class="fas fa-trash-alt"></i>
            </a>

            <a href="{% url 'catastro:obtener_contribuyente' item.id %}" class="btn btn-info btn-icon-split btn-sm">
              <span class="icon text-white-50">
                <i class="fa fa-file-pdf"></i>
              </span>
              <span class="text font-weight-bold">Ver PDF</span>
            </a>
          </td>
        </tr>
        {% endfor %}
      </tbody>
    </table>
    {% endif %}
  </div>
</div>
{% endblock page_content %} {% block js_page %}
<script>
  // llamamos al plugin datatable de jQuery
  $(document).ready(function () {
    var table = $(".table").DataTable({
      //"pageLength": 8,
      dom: "lBfrtip",
      buttons: [{
          // COPY
          extend: "copy",
          text: '<i class="fas fa-clone"></i>',
          className: "btn btn-secondary",
          titleAttr: "Copy",
          // elige las columnas que deseas copiar
          exportOptions: {
            columns: [0, 1, 2, 3, 4]
          },
        },

        {
          // EXCEL
          extend: "excel",
          text: '<i class="fas fa-file-excel"></i>',
          className: "btn btn-secondary",
          titleAttr: "Excel",
          // elige las columnas que deseas exportar a excel
          exportOptions: {
            columns: [0, 1, 2, 3, 4]
          },
        },

        {
          // EXCEL
          extend: "print",
          text: '<i class="fas fa-print"></i>',
          className: "btn btn-secondary",
          titleAttr: "Print",
          // elige las columnas que deseas imprimir
          exportOptions: {
            columns: [0, 1, 2, 3, 4]
          },

          // font size(Cuando exportamos paea imprimir)
          customize: function (win) {
            $(win.document.body).css("font-size", "10pt"),
              $(win.document.body)
              .find("table")
              .addClass("compact")
              .css("font-size", "inherit");
          },
        },

        {
          // PDF
          extend: "pdf",
          text: '<i class="fas fa-file-pdf"></i>',
          className: "btn btn-secondary",
          titleAttr: "PDF",
          // elige las columnas que deseas exportar a pdf
          exportOptions: {
            columns: [0, 1, 2, 3, 4]
          },
          // centrando la tabla
          tableHeader: {
            alignment: "center",
          },
        },
      ],
      language: {
        processing: "Procesando...",
        lengthMenu: "Mostrar _MENU_ registros",
        zeroRecords: "No se encontraron resultados",
        emptyTable: "Ningún dato disponible en esta tabla",
        infoEmpty: "Mostrando registros del 0 al 0 de un total de 0 registros",
        infoFiltered: "(filtrado de un total de _MAX_ registros)",
        search: "Buscar:",
        infoThousands: ",",
        loadingRecords: "Cargando...",
        paginate: {
          first: "Primero",
          last: "Último",
          next: "Siguiente",
          previous: "Anterior",
        },
        aria: {
          sortAscending: ": Activar para ordenar la columna de manera ascendente",
          sortDescending: ": Activar para ordenar la columna de manera descendente",
        },
      },
    });

    table.buttons().container().appendTo('#example_wrapper .col-md-6:eq(0)');
  });
</script>
{% endblock js_page %}